Loading...
Searching...
No Matches
time.h File Reference

ENet time constants and macros. More...

## Macros

#define | ENET_TIME_DIFFERENCE(a, b)
#define | ENET_TIME_GREATER(a, b)
#define | ENET_TIME_GREATER_EQUAL(a, b)
#define | ENET_TIME_LESS(a, b)
#define | ENET_TIME_LESS_EQUAL(a, b)
#define | ENET_TIME_OVERFLOW 86400000

## Detailed Description

ENet time constants and macros.

## Macro Definition Documentation

## ENET_TIME_DIFFERENCE

#define ENET_TIME_DIFFERENCE | ( |  | a,
|  |  | b )

Value:
((a) - (b) >= ENET_TIME_OVERFLOW ? (b) - (a) : (a) - (b))
ENET_TIME_OVERFLOW
#define ENET_TIME_OVERFLOW
Definition time.h:8

## ENET_TIME_GREATER

#define ENET_TIME_GREATER | ( |  | a,
|  |  | b )

Value:
((b) - (a) >= ENET_TIME_OVERFLOW)

## ENET_TIME_GREATER_EQUAL

#define ENET_TIME_GREATER_EQUAL | ( |  | a,
|  |  | b )

Value:
(! ENET_TIME_LESS (a, b))
ENET_TIME_LESS
#define ENET_TIME_LESS(a, b)
Definition time.h:10

## ENET_TIME_LESS

#define ENET_TIME_LESS | ( |  | a,
|  |  | b )

Value:
((a) - (b) >= ENET_TIME_OVERFLOW)

## ENET_TIME_LESS_EQUAL

#define ENET_TIME_LESS_EQUAL | ( |  | a,
|  |  | b )

Value:
(! ENET_TIME_GREATER (a, b))
ENET_TIME_GREATER
#define ENET_TIME_GREATER(a, b)
Definition time.h:11

## ENET_TIME_OVERFLOW

#define ENET_TIME_OVERFLOW 86400000